RIO_LOCAL_GET_DEVICE(9)

NAME
rio_local_get_device_id - Get the base/extended device id for a port

SYNOPSIS

u16 rio_local_get_device_id(struct rio_mport * port);

ARGUMENTS

port
    RIO master port from which to get the deviceid

DESCRIPTION

Reads the base/extended device id from the local device implementing the master port. Returns the 8/16-bit device id.

AUTHOR

Matt Porter <mporter@kernel.crashing.org>, <mporter@mvista.com>
    Author.

COPYRIGHT